Skip to main content
GET
/
api
/
v1
/
connector_definitions
/
{connector_name}
Retrieve specific connector definition based on its name
curl --request GET \
  --url https://api.squared.ai/api/v1/connector_definitions/{connector_name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.squared.ai/api/v1/connector_definitions/{connector_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.squared.ai/api/v1/connector_definitions/{connector_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "connector_type": "<string>",
  "connector_subtype": "<string>",
  "documentation_url": "<string>",
  "github_issue_label": "<string>",
  "icon": "<string>",
  "license": "<string>",
  "release_stage": "<string>",
  "support_level": "<string>",
  "tags": [
    "<string>"
  ],
  "connector_spec": {
    "documentation_url": "<string>",
    "connection_specification": {},
    "supports_normalization": true,
    "supports_dbt": true,
    "stream_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connector_name
string
required

Name of the connector

Query Parameters

type
enum<string>
required

Type of the connector (source or destination)

Available options:
source,
destination

Response

200 - application/json

Successful response

name
string
connector_type
string
connector_subtype
string
documentation_url
string
github_issue_label
string
icon
string
license
string
release_stage
string
support_level
string
tags
string[]
connector_spec
object